using System;

internal sealed class Delegate311 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate311 delegate311_1)
	{
		delegate311_1(object_0);
	}

	public extern Delegate311(object object_0, IntPtr intptr_0);

	static Delegate311()
	{
		Class10.smethod_13(typeof(Delegate311).TypeHandle);
	}

	internal static Delegate311 delegate311_0;
}
